package com.bally.camunda.client.camundaClient.configuration;

import org.camunda.bpm.client.spring.annotation.ExternalTaskSubscription;
import org.camunda.bpm.client.task.ExternalTaskHandler;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class HandlerConfiguration {
    @Bean
    @ExternalTaskSubscription("Learning")
    public ExternalTaskHandler LearningHandler() {
        return (externalTask, externalTaskService) -> {
            // add your business logic here
            System.out.println("Name: "+externalTask.getVariable("name") + "workderId: "+externalTask.getVariable("workerId"));
            try {
                Thread.sleep(10000);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
            System.out.println("Learning is triggered and completing in a while");
            externalTaskService.complete(externalTask);
        };
    }
}
